DEF VAR iTellerVessel   AS INT NO-UNDO.
DEF VAR iTellerPOL      AS INT NO-UNDO.
DEF VAR iTellerTerminal AS INT NO-UNDO.
DEF VAR iTellerShipment AS INT NO-UNDO.

FOR EACH aa-vessel WHERE 
         aa-vessel.companycode = "EUC"
     AND aa-vessel.acc_year < 2015 NO-LOCK:
    
  /* ca-vessel bijwerken */
  FIND FIRST ca-vessel WHERE
             ca-vessel.companycode = "EUC"
         AND ca-vessel.vesselnr    = aa-vessel.vesselnr EXCLUSIVE-LOCK. 
  ASSIGN ca-vessel.statuscode = "2"
         iTellerVessel = iTellerVessel + 1.
  
  /* ca-u_vessel_pol bijwerken */         
  FOR EACH ca-u_vessel_pol WHERE
           ca-u_vessel_pol.companycode = "EUC"
       AND ca-u_vessel_pol.vesselnr    = aa-vessel.vesselnr EXCLUSIVE-LOCK:
  ASSIGN ca-u_vessel_pol.statuscode = "2"
         iTellerPOL = iTellerPOL + 1.       
  END.
  
  /* ca-u_vessel_pol_terminal bijwerken */
  FOR EACH ca-u_vessel_pol_terminal WHERE
           ca-u_vessel_pol_terminal.companycode = "EUC"
       AND ca-u_vessel_pol_terminal.vesselnr    = aa-vessel.vesselnr EXCLUSIVE-LOCK:
  ASSIGN ca-u_vessel_pol_terminal.statuscode = "2"
         iTellerTerminal = iTellerTerminal + 1.       
  END.
  
  /* ca-u_shipment bijwerken */
  FOR EACH ca-u_shipment WHERE
           ca-u_shipment.companycode = "EUC"
       AND ca-u_shipment.vesselnr    = aa-vessel.vesselnr EXCLUSIVE-LOCK:
  ASSIGN ca-u_shipment.vessel_status_code = "2"
         iTellerShipment = iTellerShipment + 1.       
  END.
  
END.

MESSAGE "Vessels modified   " iTellerVessel SKIP
        "POL's modified     " iTellerPOL SKIP 
        "Terminals modified " iTellerTerminal SKIP
        "Shipments modified " iTellerShipment VIEW-AS ALERT-BOX. 