/* sp-sequence voor <company>_ca-u-shipment_seqnr wordt vervangen door sequence seq-ca-u_shipment
   daarom hier huidige hoogste nummer bepalen en vanaf daar verder nummeren
   hoewel voorheen per company genummerd werd hoeft het nummer alleen uniek te zijn
*/
DEFINE VARIABLE iCurrentValue AS INTEGER NO-UNDO.

FOR EACH sp-company
  NO-LOCK:

  FIND sp-sequence
    WHERE sp-sequence.sequencecode EQ sp-company.companycode + "_ca-shipment_seqnr"
    NO-LOCK NO-ERROR.
  IF AVAILABLE sp-sequence AND
     sp-sequence.current_value GT iCurrentValue THEN
    iCurrentValue = sp-sequence.current_value.
END.

CURRENT-VALUE(seq-ca-u_shipment) = iCurrentValue.